
QGIS Application - Bug report #18894

Qgis crashes on deleting auxiliary storage

2018-05-02 11:53 AM - Johannes Metzler

Status: Closed

Priority: Normal

Assignee: Paul Blottiere

Category: Labelling

Affected QGIS version:3.0.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26726

Description

User Feedback

Report Details

Crash ID: 8d048721aaa72ca66312f112144c1a969d77a058

Stack Trace

QObject::setParent :

QgsVectorLayerProperties::onAuxiliaryLayerDelete :

QMetaObject::activate :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-05-02 06:36 PM - Nelson José Silva

Working here in Linux. you can share a demo project for testing?

#2 - 2018-05-03 03:19 AM - Nathan Perry

Same issue here, Mac 10.13.3.

#3 - 2018-05-03 08:28 PM - Regis Haubourg

- Assignee set to Paul Blottiere
- Subject changed from Qgis crashes on deleting auxiliary storge to Qgis crashes on deleting auxiliary storage

#4 - 2018-05-04 07:59 AM - Johannes Metzler

- File tester.qgs added

- File Grafiken.gpkg added

demo project

#5 - 2018-10-19 01:52 PM - Paul Blottiere

Already fixed by https://github.com/qgis/QGIS/pull/6603 in QGIS 3.2.

#6 - 2018-10-19 01:52 PM - Paul Blottiere

- Status changed from Open to Closed

Files

Grafiken.gpkg 136 KB 2018-05-04 Johannes Metzler

tester.qgs 198 KB 2018-05-04 Johannes Metzler
https://github.com/qgis/QGIS/pull/6603

